

%global __cmake_in_source_build 1

Summary: Library for accessing MusicBrainz servers
Name: libmusicbrainz5
Version: 5.1.0
Release:    1%{?dist}
License: LGPLv2
URL: http://www.musicbrainz.org/
Source0: https://github.com/metabrainz/libmusicbrainz/releases/download/release-5.1.0/libmusicbrainz-%{version}.tar.gz
Patch0: doxygen.patch
Patch1: 0001-Don-t-emit-errors-unless-compiled-for-debug.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: pkgconfig(neon)
BuildRequires: pkgconfig(libxml-2.0)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package devel
Summary: Headers for developing programs that will use %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q -n libmusicbrainz-%{version}
%patch0 -p1 -b .doxygen
%patch1 -p1 -b .silence-warnings

echo "HTML_TIMESTAMP      = NO" >> Doxyfile.cmake


%build
%cmake

%cmake_build

%cmake_build --target docs


%install
%cmake_install

rm -f docs/installdox




%files
%doc AUTHORS.txt COPYING.txt NEWS.txt README.md
%{_libdir}/libmusicbrainz5.so.1*

%files devel
%doc docs/*
%{_includedir}/musicbrainz5/
%{_libdir}/libmusicbrainz5.so
%{_libdir}/pkgconfig/libmusicbrainz5.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-1
- initial build
